Bug 839400 - xorg freezes in Firefox
xorg freezes in Firefox
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 818376 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 16:30 EDT by Andrew
Modified: 2013-07-31 13:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
LXDE
Last Closed: 2013-07-31 13:47:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew 2012-07-11 16:30:39 EDT
Description of problem:

Due to some similarities, this may be a possible revival of bug473347 (which others who were still experiencing this bug were encouraged to open as a new bug).

When using FireFox 13.0.1 for an extended period of time (30 min +) or occasionally much earlier when scrolling (usually with the scroll wheel), the system will freeze (clock, and if present, CPU monitor cease updating visually) and stop responding to key presses and mouse clicks. The mouse however can still move across the screen but system is otherwise unresponsive, even to the tower's power button forcing me to cut off power using the switch on the power supply in order to reboot the system. When bug occurs, keyboard's built-in LEDs will not reflect any further changes to cap lock, num lock or scroll lock status indicating that the bug is not just visual but in fact is no longer responding to the keyboard.

Test pages used where bug occurs most often:

http://www.ebay.com/csc/i.html?clk_rvr_id=363381690133&_nkw=sega+genesis+arcade+motion+dual&LH_Complete=1&rt=nc

http://jeffhoogland.blogspot.com/2010/12/ten-linux-distros-that-use.html

http://jeffhoogland.blogspot.com/2010/01/opengl-vs-directx-benchmark-comparison.html

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora

Version-Release number of selected component (if applicable):

xorg-x11-drv-intel-2.19.0-5.fc17 (32-bit)
firefox 13.0.1 (32-bit)
kernel-3.4.4-5.fc17 (32-bit)

How reproducible:

Almost always

Steps to Reproduce:
1. Open Firefox
2. Browse the web as you normally would for up to a half hour
3. Select a long page like google search results or an eBay listing and scroll completely from one end of the page to the other and vice-versa
  
Actual results:

System stops responding except to mouse movement. Things that constantly update like the system clock or CPU monitor stop updating.

Expected results:

System should continue responding and operating normally.

Additional info:

This bug is easier to catch if you adjust your system clock to display seconds and / or have a CPU monitor open so you can observe exactly when the lock-up occurs. Occurs on a clean installation of Fedora 17 32-bit platform with the default LXDE packages and FireFox using the installation DVD with official online Fedora repos for installation of the most recent packages during install. No changes have been made to the system in regards to system or firefox settings. No skins, plugins, etc. were installed either.

Test computer uses the LXDE environment exclusively with no other environments installed.

System Specs:

Model: E-Machines T2885 (modified with a PCI sound card and extra RAM; onboard sound card disabled via BIOS)

OS: Fedora Linux 17 (32-bit) with LXDE only

Motherboard: Intel D845GVSR

CPU: Intel Pentium 4 Celeron (2.8GHz, 400MHz Frontside Bus, 128kb L2 cache)

RAM: 1 GB (512 MB x2) DDR 266 (PC-2100) SDRAM

GPU: Intel 845GV chipset with Intel 82845GV Graphic and Memory Controller Hub (Configured with an 8 MB framebuffer in BIOS - highest available setting)

Audio: CM8738 5-channel PCI 2.0 sound card
Realtek AC'97 onboard sound card (disabled in BIOS)

LAN: Intel PRO / 100 VE Ethernet adapter
Comment 1 Miroslav Mamrak 2012-07-27 16:02:50 EDT
*** Bug 818376 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Mamrak 2012-07-27 16:08:24 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Miroslav Mamrak 2012-07-27 16:10:07 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora End Of Life 2013-07-03 15:23:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 13:47:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.